<template>
  <div class="view-UploadRecord">
    <div class="view-UploadRecord-FlightMission-btn-mc">
      <div class="view-UploadRecord-FlightMission-btn-right">
        <div class="input-with-select">
          <el-select v-model="filesValue" placeholder="请选择">
            <el-option v-for="item in filesList" :key="item.value" :label="item.label" :value="item.value"> </el-option>
          </el-select>
        </div>
        <el-input placeholder="文件名称" v-model="searchValue" class="input-select">
          <el-button slot="append" icon="el-icon-search"></el-button>
        </el-input>
      </div>
    </div>
    <div class="view-UploadRecord-FlightMission-table">
      <LTable ref="table" :defaultFetch="false" :columns="columns" :dataSource="tableData" :options="options" :fetch="fetchTableData" :pagination="tableRequset"></LTable>
    </div>
  </div>
</template>

<script>
import { tableData, columns, options, filesList } from '../index'
export default {
  name: 'UploadRecord',

  data() {
    // 这里存放数据
    return {
      filesList: filesList,
      filesValue: '',
      searchValue: '',
      columns: columns(this),
      options,
      tableData: tableData,
      tableRequset: {
        total: 0,
        pageIndex: 1,
        pageSize: 10,
        searchValue: ''
      }
    }
  },
  mounted() {},
  methods: {
    fetchTableData() {},
    remove(rwo) {
      this.$confirm('是否确认删除该数据项？', '提示', {
        confirmButtonText: '确定',
        cancelButtonText: '取消',
        type: 'warning'
      })
        .then(() => {
          this.$message({
            type: 'success',
            message: '操作成功!'
          })
        })
        .catch(() => {})
    }
  }
}
</script>

<style lang="scss">
@import '../index.scss';
</style>
